Ruby rails

提供: wikipokpok
移動先: 案内検索


バージョン確認[編集]

rbenv versions
ruby -v
gem -v
rails -v
psql -v
heroku --version
git --version

vimgrepの使い方[編集]

ディレクトリを再帰的に検索

:vim 検索文字 app/** | cw
:vim 検索文字 app/controller/** | cw

カレントバッファを対象にする

 :vim 検索文字 %

NERDTreeの使い方[編集]

NERDTreeの使い方

Homebrewのインストール rbenvのインストール[編集]

https://qiita.com/kaumino/items/726e8436d7e960ca39f9

gemのインストール先 例えばbootstrap 環境によって違う[編集]

~/.rbenv/versions/2.5.3/lib/ruby/gems/2.5.0/gems/bootstrap-sass-3.4.1/assets/stylesheets/bootstrap

Node.jsのインストール[編集]

brew install nodebrew
nodebrew -v
   nodebrew 1.0.1
   Example:
   # install
   nodebrew install v8.9.4
   # use a specific version number
   nodebrew use v8.9.4
mkdir -p ~/.nodebrew/src
nodebrew install stable
nodebrew ls
   v14.4.0
   current: none
nodebrew use 14.4.0
   use v14.4.0
nodebrew ls        
   v14.4.0
   current: v14.4.0
echo 'export PATH=$HOME/.nodebrew/current/bin:$PATH' >> ~/.zprofile
source ~/.zprofile
node -v                                                            
   v14.4.0

vim-plug[編集]

.vimrc

Plug 'neoclide/coc.nvim', {'branch': 'release'}

インストール

:PlugInstall
:CocInstall coc-solargraph
   Installed extension coc-solargraph@1.1.6 at /Users/jq/.config/coc/extensions/node_modules/coc-solargraph
touch ~/.vim/coc-settings.json
{
  "languageserver": {
   "sorbet": {
     "command": "srb",
     "args": ["tc", "--typed", "true", "--enable-all-experimental-lsp-features", "--lsp", "--disable-watchman", "--dir", "."],
     "filetypes": ["ruby"],
     "rootPatterns": ["sorbet/config"],
     "initializationOptions": {},
     "settings": {}
   }
 }
}
Solargraph gem not found. Run `gem install solargraph` or update your Gemfile., Install Now? (y/n)
gem install solargraph

rails postgres[編集]

rails _6.0.3_ new tepnote -d postgresql